import React from 'react';

export const AxisLeft = ({ yScale, innerWidth, yAxisOffsetFactor }) =>
  yScale.ticks(5).map((tickValue) => (
    <g
      className="axis-left"
      key={tickValue}
      transform={`translate(0, ${yScale(tickValue)})`}
    >
      <line x2={innerWidth} stroke="#ccc" />
      <text
        dy="0.35em"
        textAnchor="end"
        transform={`translate(${-yAxisOffsetFactor}, 0)`}
      >
        {tickValue}
      </text>
    </g>
  ));