import React from 'react';

export const AxisBottom = ({ xScale, innerHeight, xAxisOffsetFactor }) =>
  xScale.domain().map((tickValue) => (
    <g
      className="axis-bottom"
      transform={`translate(${xScale(tickValue)}, ${
        innerHeight + xAxisOffsetFactor
      })`}
    >
      <line y2={-2 * xAxisOffsetFactor} stroke="#ccc" />
      <text textAnchor="middle" dy={4 * xAxisOffsetFactor}>
        {tickValue.toString()}
      </text>
    </g>
  ));
