import React from 'react';

export const Lines = ({ data, xScale, xValue, yScale, yValue1, yValue2 }) =>
  data.map((d, i) => (
    <g key={i} transform={`translate(${xScale(xValue(d))}, 0)`}>
      <line
        y1={yScale(yValue1(d))}
        y2={yScale(yValue2(d))}
        stroke="#777"
        strokeWidth={2}
      />
    </g>
  ));
